// defines red light mini
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_redlightmini_GSH
#define INCLUDED_redlightmini_GSH

////////////////////////////////////////////////////////////////////////////////////

pgenerator Pgn_redmini
{
	type corona
	life infinite
	rate 1			// exactly the same as the decay rate hence the effect !
	
	// stream direction
	x	0
	y	0
	z	0
	
	// particle colour
	red   1
	green 0.2
	blue  0.2
	alpha 1
}

light Lit_redmini
{
	red             1
	green           0.1
	blue            0.1
	specular red	1
	specular green	0
	specular blue	0
	range           4
}

role Rol_Redlightmini : Rol_DefaultGarbage
{
	shape		Pgn_redmini
	light		Lit_redmini
	moves on lifts	yes
	identifier	"redlight"
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_redlightmini_GSH